Subject: Initrd and 2.6.33 curious behaviour

From: [email-masked] (Robert Jarzmik)
Date: Sun, 23 May 2010 12:09:25 +0200

Russell King - ARM Linux <[email-masked]> writes:

> On Sun, May 23, 2010 at 02:23:33AM +0200, Robert Jarzmik wrote:
> The reason that initrd_start is zero at rd_load_ramdisk is that in
> populate_rootfs(), the initrd is written into the ramfs root as a
> /initrd.image file.  Then the original initrd image is freed, resulting
> in both initrd_start and initrd_end being zeroed.
I understand better now.

> Do you have CONFIG_BLK_DEV_RAM enabled?  Try some debugging (using
> pr_err() and booting with 'quiet' so you can see the output) in
> populate_rootfs().
CONFIG_BLK_DEV_RAM is enabled. I'll add some debugging now and will try again.

Thanks for the help.

--
Robert